Bug 421047 - Wayland - Crash on Wallpaper settings (or mesa upgrade)
Summary: Wayland - Crash on Wallpaper settings (or mesa upgrade)
Status: RESOLVED WORKSFORME
Alias: None
Product: plasmashell
Classification: Plasma
Component: general (show other bugs)
Version: 5.18.4
Platform: unspecified Linux
: NOR crash
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords: drkonqi
: 421446 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-05-05 08:36 UTC by Jason Playne
Modified: 2021-04-07 04:33 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Playne 2020-05-05 08:36:16 UTC
Application: plasmashell (5.18.4)

Qt Version: 5.14.2
Frameworks Version: 5.69.0
Operating System: Linux 5.6.7-050607-generic x86_64
Windowing system: Wayland
Distribution: KDE neon User Edition 5.18

-- Information about the crash:
- What I was doing when the application crashed:
While I was waiting for discover to upload to the mesa 20.1 RC1 release I was fiddling with my wallpaper settings.

I have a dual monitor setup (2x1080p) with 1 hdmi and one DP->DVI monitor

- Unusual behavior I noticed:

The screen flickered (like it was attempting to recover?) and then crashed the desktop session crashed with only my apps left open. The wallpaper settings page is no longer around.

- Custom settings of the application:

I am using a PPA

deb http://ppa.launchpad.net/ernstp/mesarc/ubuntu bionic main

for mesa stable releases

-- Backtrace:
Application: Plasma (plasmashell), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fdd8964c800 (LWP 9293))]

Thread 59 (Thread 0x7fdc377fe700 (LWP 24712)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae6c744f4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae6c744a0, cond=0x55aae6c744c8) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae6c744c8, mutex=0x55aae6c744a0) at pthread_cond_wait.c:655
#3  0x00007fdd8312ee5b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55aae6c744a0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007fdd8312ee5b in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x55aae50bb630, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fdd8312efd9 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x55aae50bb638, mutex=mutex@entry=0x55aae50bb630, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#6  0x00007fdd87231233 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55aae50bb628) at scenegraph/qsgthreadedrenderloop.cpp:255
#7  0x00007fdd87231233 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55aae50bb590) at scenegraph/qsgthreadedrenderloop.cpp:905
#8  0x00007fdd87231691 in QSGRenderThread::run() (this=0x55aae50bb590) at scenegraph/qsgthreadedrenderloop.cpp:1000
#9  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x55aae50bb590) at thread/qthread_unix.cpp:342
#10 0x00007fdd7fdab6db in start_thread (arg=0x7fdc377fe700) at pthread_create.c:463
#11 0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 58 (Thread 0x7fdc37fff700 (LWP 24711)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae7019e88) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae7019e38, cond=0x55aae7019e60) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae7019e60, mutex=0x55aae7019e38) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 57 (Thread 0x7fdc4b365700 (LWP 24710)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae6f8f1ec) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae6f8f198, cond=0x55aae6f8f1c0) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae6f8f1c0, mutex=0x55aae6f8f198) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 56 (Thread 0x7fdc494ff700 (LWP 24703)):
#0  0x00007fdd82a0c0b4 in __GI___libc_read (fd=58, buf=0x7fdc494feb70, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007fdd7cb662b0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdd7cb210b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdd7cb21570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdd7cb216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdd8337744b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fdc300160f0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fdd833169aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fdc494fed80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007fdd831273d7 in QThread::exec() (this=this@entry=0x55aae41c4070) at thread/qthread.cpp:536
#8  0x00007fdd86cddfc5 in QQmlThreadPrivate::run() (this=0x55aae41c4070) at qml/ftw/qqmlthread.cpp:155
#9  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x55aae41c4070) at thread/qthread_unix.cpp:342
#10 0x00007fdd7fdab6db in start_thread (arg=0x7fdc494ff700) at pthread_create.c:463
#11 0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 55 (Thread 0x7fdc4a501700 (LWP 18233)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae3a47b44) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae3a47af0, cond=0x55aae3a47b18) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae3a47b18, mutex=0x55aae3a47af0) at pthread_cond_wait.c:655
#3  0x00007fdd8312ee5b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55aae3a47af0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007fdd8312ee5b in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x55aae57d03c0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fdd8312efd9 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x55aae57d03c8, mutex=mutex@entry=0x55aae57d03c0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#6  0x00007fdd87231233 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55aae57d03b8) at scenegraph/qsgthreadedrenderloop.cpp:255
#7  0x00007fdd87231233 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55aae57d0320) at scenegraph/qsgthreadedrenderloop.cpp:905
#8  0x00007fdd87231691 in QSGRenderThread::run() (this=0x55aae57d0320) at scenegraph/qsgthreadedrenderloop.cpp:1000
#9  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x55aae57d0320) at thread/qthread_unix.cpp:342
#10 0x00007fdd7fdab6db in start_thread (arg=0x7fdc4a501700) at pthread_create.c:463
#11 0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 54 (Thread 0x7fdc49d00700 (LWP 18232)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae67821a8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae6782158, cond=0x55aae6782180) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae6782180, mutex=0x55aae6782158) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 53 (Thread 0x7fdc86ffd700 (LWP 18231)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae5eda9e8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae5eda998, cond=0x55aae5eda9c0) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae5eda9c0, mutex=0x55aae5eda998) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 52 (Thread 0x7fdc64cdc700 (LWP 12416)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae6948698) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae6948648, cond=0x55aae6948670) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae6948670, mutex=0x55aae6948648) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 51 (Thread 0x7fdc867fc700 (LWP 12326)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae5e99fd8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae5e99f88, cond=0x55aae5e99fb0) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae5e99fb0, mutex=0x55aae5e99f88) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 50 (Thread 0x7fdc577fe700 (LWP 12305)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae5c850d8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae5c85088, cond=0x55aae5c850b0) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae5c850b0, mutex=0x55aae5c85088) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 49 (Thread 0x7fdc667df700 (LWP 12150)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae5873cb4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae5873c60, cond=0x55aae5873c88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae5873c88, mutex=0x55aae5873c60) at pthread_cond_wait.c:655
#3  0x00007fdd8312ee5b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55aae5873c60) at thread/qwaitcondition_unix.cpp:146
#4  0x00007fdd8312ee5b in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x55aae5a97410, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fdd8312efd9 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x55aae5a97418, mutex=mutex@entry=0x55aae5a97410, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#6  0x00007fdd87231233 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55aae5a97408) at scenegraph/qsgthreadedrenderloop.cpp:255
#7  0x00007fdd87231233 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55aae5a97370) at scenegraph/qsgthreadedrenderloop.cpp:905
#8  0x00007fdd87231691 in QSGRenderThread::run() (this=0x55aae5a97370) at scenegraph/qsgthreadedrenderloop.cpp:1000
#9  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x55aae5a97370) at thread/qthread_unix.cpp:342
#10 0x00007fdd7fdab6db in start_thread (arg=0x7fdc667df700) at pthread_create.c:463
#11 0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 48 (Thread 0x7fdc657dd700 (LWP 12149)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae58f8868) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae58f8818, cond=0x55aae58f8840) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae58f8840, mutex=0x55aae58f8818) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 47 (Thread 0x7fdca9ffb700 (LWP 12148)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae56c61d8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae56c6188, cond=0x55aae56c61b0) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae56c61b0, mutex=0x55aae56c6188) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 46 (Thread 0x7fdc57fff700 (LWP 12119)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae5d13be8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae5d13b98, cond=0x55aae5d13bc0) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae5d13bc0, mutex=0x55aae5d13b98) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 45 (Thread 0x7fdc65fde700 (LWP 12094)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae59b75e8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae59b7598, cond=0x55aae59b75c0) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae59b75c0, mutex=0x55aae59b7598) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 44 (Thread 0x7fdca97fa700 (LWP 12060)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae545ec50) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae545ec00, cond=0x55aae545ec28) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae545ec28, mutex=0x55aae545ec00) at pthread_cond_wait.c:655
#3  0x00007fdd8312ee5b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55aae545ec00) at thread/qwaitcondition_unix.cpp:146
#4  0x00007fdd8312ee5b in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x7fdd6471d400, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fdd8312efd9 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x7fdd6471d408, mutex=mutex@entry=0x7fdd6471d400, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#6  0x00007fdd87231233 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x7fdd6471d3f8) at scenegraph/qsgthreadedrenderloop.cpp:255
#7  0x00007fdd87231233 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x7fdd6471d360) at scenegraph/qsgthreadedrenderloop.cpp:905
#8  0x00007fdd87231691 in QSGRenderThread::run() (this=0x7fdd6471d360) at scenegraph/qsgthreadedrenderloop.cpp:1000
#9  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x7fdd6471d360) at thread/qthread_unix.cpp:342
#10 0x00007fdd7fdab6db in start_thread (arg=0x7fdca97fa700) at pthread_create.c:463
#11 0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 43 (Thread 0x7fdca8ff9700 (LWP 12059)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae56f9c88) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae56f9c38, cond=0x55aae56f9c60) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae56f9c60, mutex=0x55aae56f9c38) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 42 (Thread 0x7fdc877fe700 (LWP 12058)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae55ecbac) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae55ecb58, cond=0x55aae55ecb80) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae55ecb80, mutex=0x55aae55ecb58) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 41 (Thread 0x7fdc87fff700 (LWP 9811)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae4ca3ce8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae4ca3c98, cond=0x55aae4ca3cc0) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae4ca3cc0, mutex=0x55aae4ca3c98) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 40 (Thread 0x7fdcaaffd700 (LWP 9739)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae48421c8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae4842178, cond=0x55aae48421a0) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae48421a0, mutex=0x55aae4842178) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 39 (Thread 0x7fdcaa7fc700 (LWP 9553)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae47d9448) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae47d93f8, cond=0x55aae47d9420) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae47d9420, mutex=0x55aae47d93f8) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 38 (Thread 0x7fdcab7fe700 (LWP 9475)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae45f61a4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae45f6150, cond=0x55aae45f6178) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae45f6178, mutex=0x55aae45f6150) at pthread_cond_wait.c:655
#3  0x00007fdd8312ee5b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55aae45f6150) at thread/qwaitcondition_unix.cpp:146
#4  0x00007fdd8312ee5b in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x55aae45f62f0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fdd8312efd9 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x55aae45f62f8, mutex=mutex@entry=0x55aae45f62f0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#6  0x00007fdd87231233 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55aae45f62e8) at scenegraph/qsgthreadedrenderloop.cpp:255
#7  0x00007fdd87231233 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55aae45f6250) at scenegraph/qsgthreadedrenderloop.cpp:905
#8  0x00007fdd87231691 in QSGRenderThread::run() (this=0x55aae45f6250) at scenegraph/qsgthreadedrenderloop.cpp:1000
#9  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x55aae45f6250) at thread/qthread_unix.cpp:342
#10 0x00007fdd7fdab6db in start_thread (arg=0x7fdcab7fe700) at pthread_create.c:463
#11 0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 37 (Thread 0x7fdcabfff700 (LWP 9474)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae46cf148) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae46cf0f8, cond=0x55aae46cf120) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae46cf120, mutex=0x55aae46cf0f8) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 36 (Thread 0x7fdcb0e64700 (LWP 9473)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae4631fa8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae4631f58, cond=0x55aae4631f80) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae4631f80, mutex=0x55aae4631f58) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 35 (Thread 0x7fdcb2d7e700 (LWP 9470)):
#0  0x00007fdd7cb67644 in g_mutex_unlock () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fdd7cb20b18 in g_main_context_prepare () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdd7cb214fb in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdd7cb216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdd8337744b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fdcac000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fdd833169aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fdcb2d7dd60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007fdd831273d7 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#7  0x00007fdcb56dd467 in KCupsConnection::run() () at /usr/lib/x86_64-linux-gnu/libkcupslib.so
#8  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x55aae33e2d00) at thread/qthread_unix.cpp:342
#9  0x00007fdd7fdab6db in start_thread (arg=0x7fdcb2d7e700) at pthread_create.c:463
#10 0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 34 (Thread 0x7fdcc524c700 (LWP 9469)):
#0  0x00007fdd82a10bf9 in __GI___poll (fds=0x7fdcb8002de0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fdd7cb215c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdd7cb216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdd8337744b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fdcb8000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fdd833169aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fdcc524bda0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fdd831273d7 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#6  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x55aae2eb7b50) at thread/qthread_unix.cpp:342
#7  0x00007fdd7fdab6db in start_thread (arg=0x7fdcc524c700) at pthread_create.c:463
#8  0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 33 (Thread 0x7fdce1010700 (LWP 9465)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae2a9e1d4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae2a9e180, cond=0x55aae2a9e1a8) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae2a9e1a8, mutex=0x55aae2a9e180) at pthread_cond_wait.c:655
#3  0x00007fdd8312ee5b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55aae2a9e180) at thread/qwaitcondition_unix.cpp:146
#4  0x00007fdd8312ee5b in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x55aae2a9e0f0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fdd8312efd9 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x55aae2a9e0f8, mutex=mutex@entry=0x55aae2a9e0f0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#6  0x00007fdd87231233 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55aae2a9e0e8) at scenegraph/qsgthreadedrenderloop.cpp:255
#7  0x00007fdd87231233 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55aae2a9e050) at scenegraph/qsgthreadedrenderloop.cpp:905
#8  0x00007fdd87231691 in QSGRenderThread::run() (this=0x55aae2a9e050) at scenegraph/qsgthreadedrenderloop.cpp:1000
#9  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x55aae2a9e050) at thread/qthread_unix.cpp:342
#10 0x00007fdd7fdab6db in start_thread (arg=0x7fdce1010700) at pthread_create.c:463
#11 0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 32 (Thread 0x7fdce1811700 (LWP 9463)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae2b87bd8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae2b87b88, cond=0x55aae2b87bb0) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae2b87bb0, mutex=0x55aae2b87b88) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 31 (Thread 0x7fdce2012700 (LWP 9462)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae2aea94c) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae2aea8f8, cond=0x55aae2aea920) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae2aea920, mutex=0x55aae2aea8f8) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 30 (Thread 0x7fdce2ffd700 (LWP 9460)):
#0  0x00007fdd82a10bf9 in __GI___poll (fds=0x7fdcd40068f0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fdd7cb215c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdd7cb216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdd8337744b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fdcd4000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fdd833169aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fdce2ffcd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fdd831273d7 in QThread::exec() (this=this@entry=0x55aae2881400) at thread/qthread.cpp:536
#6  0x00007fdd87173b06 in QQuickPixmapReader::run() (this=0x55aae2881400) at util/qquickpixmapcache.cpp:987
#7  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x55aae2881400) at thread/qthread_unix.cpp:342
#8  0x00007fdd7fdab6db in start_thread (arg=0x7fdce2ffd700) at pthread_create.c:463
#9  0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 29 (Thread 0x7fdce37fe700 (LWP 9455)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae25c6174) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae25c6120, cond=0x55aae25c6148) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae25c6148, mutex=0x55aae25c6120) at pthread_cond_wait.c:655
#3  0x00007fdd8312ee5b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55aae25c6120) at thread/qwaitcondition_unix.cpp:146
#4  0x00007fdd8312ee5b in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x55aae25d3ce0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fdd8312efd9 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x55aae25d3ce8, mutex=mutex@entry=0x55aae25d3ce0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#6  0x00007fdd87231233 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55aae25d3cd8) at scenegraph/qsgthreadedrenderloop.cpp:255
#7  0x00007fdd87231233 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55aae25d3c40) at scenegraph/qsgthreadedrenderloop.cpp:905
#8  0x00007fdd87231691 in QSGRenderThread::run() (this=0x55aae25d3c40) at scenegraph/qsgthreadedrenderloop.cpp:1000
#9  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x55aae25d3c40) at thread/qthread_unix.cpp:342
#10 0x00007fdd7fdab6db in start_thread (arg=0x7fdce37fe700) at pthread_create.c:463
#11 0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 28 (Thread 0x7fdce3fff700 (LWP 9454)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae26b7048) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae26b6ff8, cond=0x55aae26b7020) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae26b7020, mutex=0x55aae26b6ff8) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 27 (Thread 0x7fdce9d73700 (LWP 9453)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae2621a38) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae26219e8, cond=0x55aae2621a10) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae2621a10, mutex=0x55aae26219e8) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 26 (Thread 0x7fdcea574700 (LWP 9449)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae21dec88) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae21dec38, cond=0x55aae21dec60) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae21dec60, mutex=0x55aae21dec38) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 25 (Thread 0x7fdd0b7fe700 (LWP 9410)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170f6b8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170f668, cond=0x55aae170f690) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170f690, mutex=0x55aae170f668) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 24 (Thread 0x7fdd03fff700 (LWP 9409)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170f6b8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170f668, cond=0x55aae170f690) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170f690, mutex=0x55aae170f668) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 23 (Thread 0x7fdd0bfff700 (LWP 9408)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170f6b8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170f668, cond=0x55aae170f690) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170f690, mutex=0x55aae170f668) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 22 (Thread 0x7fdd2cff9700 (LWP 9407)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170f6b8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170f668, cond=0x55aae170f690) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170f690, mutex=0x55aae170f668) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 21 (Thread 0x7fdd2d7fa700 (LWP 9406)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170f6b8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170f668, cond=0x55aae170f690) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170f690, mutex=0x55aae170f668) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 20 (Thread 0x7fdd2dffb700 (LWP 9405)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 19 (Thread 0x7fdd2e7fc700 (LWP 9404)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 18 (Thread 0x7fdd2effd700 (LWP 9403)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 17 (Thread 0x7fdd2f7fe700 (LWP 9402)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 16 (Thread 0x7fdd2ffff700 (LWP 9401)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 15 (Thread 0x7fdd44ff9700 (LWP 9400)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 14 (Thread 0x7fdd457fa700 (LWP 9399)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 13 (Thread 0x7fdd45ffb700 (LWP 9398)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 12 (Thread 0x7fdd467fc700 (LWP 9397)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 11 (Thread 0x7fdd46ffd700 (LWP 9396)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 10 (Thread 0x7fdd477fe700 (LWP 9395)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 9 (Thread 0x7fdd47fff700 (LWP 9394)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170efb4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170ef60, cond=0x55aae170ef88) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170ef88, mutex=0x55aae170ef60) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 8 (Thread 0x7fdd5ce9d700 (LWP 9393)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae16ba058) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae16ba008, cond=0x55aae16ba030) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae16ba030, mutex=0x55aae16ba008) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 7 (Thread 0x7fdd5d69e700 (LWP 9392)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae16ba058) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae16ba008, cond=0x55aae16ba030) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae16ba030, mutex=0x55aae16ba008) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 6 (Thread 0x7fdd5de9f700 (LWP 9391)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae16ba058) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae16ba008, cond=0x55aae16ba030) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae16ba030, mutex=0x55aae16ba008) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 5 (Thread 0x7fdd5e6a0700 (LWP 9390)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae16ba058) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae16ba008, cond=0x55aae16ba030) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae16ba030, mutex=0x55aae16ba008) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 4 (Thread 0x7fdd5f6e3700 (LWP 9389)):
#0  0x00007fdd7fdb19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55aae170db98) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fdd7fdb19f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55aae170db48, cond=0x55aae170db70) at pthread_cond_wait.c:502
#2  0x00007fdd7fdb19f3 in __pthread_cond_wait (cond=0x55aae170db70, mutex=0x55aae170db48) at pthread_cond_wait.c:655
#3  0x00007fdd6916e57b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x0000000000000000 in  ()

Thread 3 (Thread 0x7fdd728bf700 (LWP 9388)):
#0  0x00007fdd82a10bf9 in __GI___poll (fds=0x7fdd64002de0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fdd7cb215c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdd7cb216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdd8337744b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fdd64000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fdd833169aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fdd728bed80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fdd831273d7 in QThread::exec() (this=this@entry=0x55aae119e1a0) at thread/qthread.cpp:536
#6  0x00007fdd86cddfc5 in QQmlThreadPrivate::run() (this=0x55aae119e1a0) at qml/ftw/qqmlthread.cpp:155
#7  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x55aae119e1a0) at thread/qthread_unix.cpp:342
#8  0x00007fdd7fdab6db in start_thread (arg=0x7fdd728bf700) at pthread_create.c:463
#9  0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fdd74736700 (LWP 9310)):
#0  0x00007fdd82a10bf9 in __GI___poll (fds=0x7fdd6c002de0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fdd7cb215c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdd7cb216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdd8337744b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fdd6c000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fdd833169aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fdd74735d70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fdd831273d7 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#6  0x00007fdd85024555 in  () at /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007fdd831288ac in QThreadPrivate::start(void*) (arg=0x7fdd8529cda0) at thread/qthread_unix.cpp:342
#8  0x00007fdd7fdab6db in start_thread (arg=0x7fdd74736700) at pthread_create.c:463
#9  0x00007fdd82a1d88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fdd8964c800 (LWP 9293)):
[KCrash Handler]
#6  0x00007fdd8293ae97 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#7  0x00007fdd8293c801 in __GI_abort () at abort.c:79
#8  0x00007fdd831045fb in qt_message_fatal (context=..., message=<synthetic pointer>...) at global/qlogging.cpp:1914
#9  0x00007fdd831045fb in QMessageLogger::fatal(char const*, ...) const (this=<optimized out>, msg=<optimized out>) at global/qlogging.cpp:893
#10 0x00007fdd76a4e5fd in  () at /usr/lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#11 0x00007fdd76a4e64e in QtWaylandClient::QWaylandDisplay::flushRequests() () at /usr/lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#12 0x00007fdd83353139 in doActivate<false>(QObject*, int, void**) (sender=0x55aae0f98f30, signal_index=3, argv=0x7fff8afce300) at kernel/qobject.cpp:3882
#13 0x00007fdd8334dc12 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x55aae0f98f30, m=m@entry=0x7fdd837e5240 <QAbstractEventDispatcher::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3930
#14 0x00007fdd83314810 in QAbstractEventDispatcher::aboutToBlock() (this=this@entry=0x55aae0f98f30) at .moc/moc_qabstracteventdispatcher.cpp:143
#15 0x00007fdd833773fe in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x55aae0f98f30, flags=...) at kernel/qeventdispatcher_glib.cpp:410
#16 0x00007fdd833169aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fff8afce420, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#17 0x00007fdd83320120 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1383
#18 0x000055aae09b6894 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./shell/main.cpp:228

Possible duplicates by query: bug 421008, bug 420414, bug 419877, bug 419798, bug 419017.

Reported using DrKonqi
Comment 1 Marco Martin 2020-05-21 11:34:58 UTC
*** Bug 421446 has been marked as a duplicate of this bug. ***
Comment 2 Nate Graham 2021-03-08 21:59:55 UTC
#9  0x00007fdd831045fb in QMessageLogger::fatal(char const*, ...) const (this=<optimized out>, msg=<optimized out>) at global/qlogging.cpp:893
#10 0x00007fdd76a4e5fd in  () at /usr/lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#11 0x00007fdd76a4e64e in QtWaylandClient::QWaylandDisplay::flushRequests() () at /usr/lib/x86_64-linux-gnu/libQt5WaylandClient.so.5

Based on the duplicate bug report Bug 421446, it looks like kwin_wayland crashed. We will need a backtrace of that crash, if it is still reproducible. See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports

Thanks!
Comment 3 Bug Janitor Service 2021-03-23 04:33:38 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 4 Bug Janitor Service 2021-04-07 04:33:33 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!